# BEGIN COPYRIGHT BLOCK
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
# 
# The baseurl directive gives the server, port, and base dn where searches
# should be rooted.  The format is:
#
# ldap://host.domain[:port]/basedn
#  - or -
# ldaps://host.domain:port/basedn  (for SSL)
#
# Where:
# - "host.domain" is the fully-qualified domain name of the directory server
# - "port" is the port used by the directory server.  If you are using an
#   "ldaps" URL (that is, if the gateway is using SSL to communicate with the
#   directory server), then the port number is required.  Otherwise, it is
#   optional and defaults to the standard LDAP port (389).
# - "basedn" is the distinguished name of the place in the directory tree
#   where searches should start.  Typically, this is the same as the
#   "suffix" directive in your slapd.conf file.
#
# examples:
#  baseurl "ldap://mars.aceindustry.com/o=Ace Industry, c=US"
#   - causes the gateway to use the directory server running on host
#     "mars.aceindustry.com".  Since no port was given, the default LDAP
#     port (389) is used.  Searches in the gateway search for entries
#     contained within o=Ace Industry, c=US.
#
#  baseurl "ldaps://mars.aceindustry.com:636/o=Ace Industry, c=US"
#   - same as above, but uses SSL to connect to the directory server,
#     and contacts the server on port 636.
 
baseurl   "ldap://ldap.example.com:389/dc=example,dc-com"

# The dirmgr directive specifies the "Manager" DN for your directory.
dirmgr	  "cn=Directory Manager"

# The securitypath directive gives the full path name to your
# security databases.
#securitypath	/tmp/ssl

# If the requireauth directive is present, users must authenticate to the
# directory before they may perform any operations.  XXX: not implemented
# in 1.0b2.
#requireauth

# The authlifetime directive specifies how long authentication credentials
# are valid (in seconds).
authlifetime	7200

# The default character set, for communication with HTTP clients.
# A client may override this default, using an HTTP Accept-Charset header.
# Or, this default may be overridden for a specific language, by creating
# a LANG/dsgwcharset.conf file which contains the charset name.
# For compatibility with HTTP clients that can't handle an HTTP response
# with a charset parameter in the content-type, comment out this directive;
# responses will be sent in ISO-8859-1, with no explicit charset parameter.
# RFC 1345 defines the syntax of charset names.  There is a registry of
# charsets, at ftp://ftp.isi.edu/in-notes/iana/assignments/character-sets
# charset UTF-8

# The NLS (internationalization) directory.  The directory of this name
# should contain a locales directory, which contains configuration files.
NLS ../../../lib/nls

location-suffix "dc=example,dc=com"

# Mapping between config/display-XXX.html templates and LDAP objectClasses.
# This can be generated by using ds/templateindex.  The format is:
#
#    template TEMPLATENAME  OBJECTCLASSES
#
# where "display-TEMPLATENAME.html" is the name of a display template
# that is found in this config directory (e.g., "display-group.html") and
# OBJECTCLASSES is a list of one or more objectClass values.  For a given
# template to be used, all the objectClass values listed must be present
# in the directory entry, so the order of these template lines is
# significant (e.g. note that the more specific "umperson" and
# "orgperson" templates are listed before the one for an ordinary "person").
#
template  group		groupOfNames
template  groupun	groupOfUniqueNames
template  mailgroup	rfc822mailgroup
template  org		organization
template  orgunit	organizationalUnit
template  ntperson	person  inetOrgPerson nTUser
template  umperson	person  umichPerson
template  orgperson	person  inetOrgPerson
template  person	person
template  country	country

#
# The remainder of this file contains information about the locations and
# types for new entries.
#
# "location" lines define places in the directory where new entries can be added
# The format of each line is:
#	location HANDLE FRIENDLYNAME DN
# where HANDLE is a short name which is used in the "newtype" lines (see below)
# and FRIENDLYNAME is a human-readable name for the location
# and DN is the Distinguished Name for this location (if it does not end with
#   '#', the location-suffix is appended to to construct a full DN; if it
#   does end with `#', it assumed to be a full DN and the `#' is removed).
#
location  country	"USA"		"c=US#"	
location  org		"Eigene Firma"	""
location  groups	"Gruppen in Firma"	"ou=Groups"
location  acct		"Buchhaltung"		"ou=Accounting"
location  hr		"Personal"	"ou=Human Resources"
location  pay		"Lohnbuchhaltung"		"ou=Payroll"
location  pd		"Produktentwicklung"	"ou=Product Development"
location  test		"Produkttests"	"ou=Product Testing"

# "newtype" lines define the types of new entries that may be added
# The format of each line is:
#	newtype TEMPLATENAME FRIENDLYNAME RDNATTR LOCATIONS...
# where TEMPLATENAME corresponds to an existing add-TEMPLATENAME.html file
# and FRIENDLYNAME is a human-readable name for this type of entry
# and RDNATTR is the attribute that is used to name entries of this type
# and LOCATIONS is a blank-separated list of locations where these types of
#    entries can be added (corresponding to a HANDLE on a "location"
#    config. file line).
#
newtype   orgperson	"Person"		cn	acct hr pay pd test
newtype   ntperson	"NT-Benutzer"		cn	acct hr pay pd test
newtype   groupun	"Gruppe"			cn	groups
newtype   orgunit	"Organisationseinheit"	ou	org
newtype   org		"Firma"		o	country
